
CoCoA-5 - Design #766

CoCoA version number: copy CoCoALib

02 Sep 2015 13:17 - Anna Maria Bigatti

Status: Closed Start date: 02 Sep 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 1.05 hour

Description

Right now the version numer for CoCoA is written in 3 different places (CoCoA code, manual, release files).

Copy what is done in CoCoALib to have it only in one place.

Related issues:

Related to CoCoA-5 - Bug #852: fix OnlineManual.C so that version number may ... Closed 23 Mar 2016

Related to CoCoA-5 - Support #851: Release: CoCoA-5.2.0 Closed 01 Aug 2014

History

#1 - 17 Feb 2016 11:00 - Anna Maria Bigatti

- % Done changed from 0 to 10

I suggest adding

COCOA5_VER_MAJ=5.1

COCOA5_VER_MIN=3

to configuration/version

(they do grow together)

#2 - 18 Feb 2016 15:45 - John Abbott

- Status changed from New to Resolved

- % Done changed from 10 to 80

I do not much like the name COCOA5_VER_MINMIN.

A quick look at the relevant page of Wikipedia gives several suggestions for the name of the 3rd element.  Among those candidates, my preference

goes for PATCH or REV (short for REVISION).

#3 - 18 Feb 2016 22:21 - Anna Maria Bigatti

it used to be called MINORMINOR ;-)

well.... for us it is more than a "patch".  In fact 5 is more than a "major".

#4 - 23 Mar 2016 10:29 - Anna Maria Bigatti

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

Essentially done.

Left to do: fix OnlineManual.C so that version number may be removed from CoCoAHelp.xml
#5 - 23 Mar 2016 10:31 - Anna Maria Bigatti

- Related to Bug #852: fix OnlineManual.C so that version number may be removed from CoCoAHelp.xml added

#6 - 02 May 2017 14:32 - Anna Maria Bigatti

- Related to Support #851: Release: CoCoA-5.2.0 added

#7 - 02 May 2017 14:35 - Anna Maria Bigatti

COCOA5_VER_MINMIN is not in configuration/version.

Where is it?  I'm looking for it.

#8 - 02 May 2017 14:42 - Anna Maria Bigatti

Anna Maria Bigatti wrote:

COCOA5_VER_MINMIN is not in configuration/version.

Where is it?  I'm looking for it.

 

Found it!  it is in

src/CoCoA-5/release-files/version
